upgrading PHP on a linux server

Discussion in 'OT Technology' started by Grifter, Apr 28, 2005.

  1. Grifter

    Grifter Silver Member

    Joined:
    Dec 21, 2000
    Messages:
    3,117
    Likes Received:
    0
    Location:
    the southwest
    I'm putting up phpbb for a client and the webhost is using PHP 2.x
    phpbb doesnt run on that so i emailed the host asking if they would consider upgrading

    will the webhost's other clients have any/big problems with the upgrade if it happens?
     
  2. P07r0457

    P07r0457 New Member

    Joined:
    Sep 20, 2004
    Messages:
    28,491
    Likes Received:
    0
    Location:
    Southern Oregon
    omg that host must be soooooo insecure. Move to another host, regardless.
     
  3. Joe_Cool

    Joe_Cool Never trust a woman or a government. Moderator

    Joined:
    Jun 30, 2003
    Messages:
    299,488
    Likes Received:
    615
    Probably. For one thing, 4.0 and up default to Register_globals_off. That means global variables need to be referred to explicitly ($_ARRAY['variable'] instead of just $variable), and probably lots of php apps will break if they weren't written properly in the first place.
     
  4. Grifter

    Grifter Silver Member

    Joined:
    Dec 21, 2000
    Messages:
    3,117
    Likes Received:
    0
    Location:
    the southwest
    issue resolved
    they have another server with 3.x and another with 4

    it was a nice 1 hour headache tho
     
  5. Chaotic Reality

    Chaotic Reality New Member

    Joined:
    Jun 22, 2004
    Messages:
    29,052
    Likes Received:
    0
    Location:
    Phoenix, AZ
    if they're running software that old i can't imagine what sort of hardware they have. :hsugh:
     
  6. Penguin Man

    Penguin Man Protect Your Digital Liberties

    Joined:
    Apr 27, 2002
    Messages:
    21,696
    Likes Received:
    0
    Location:
    Edmonton, AB
    :werd: Especially considering it's free software.
     

Share This Page